Get Available Appraisal Statuses
curl --request GET \
--url https://api.valuechecker.net/client_reference/appraisal_statuses \
--header 'Authorization: <api-key>'import requests
url = "https://api.valuechecker.net/client_reference/appraisal_statuses"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.valuechecker.net/client_reference/appraisal_statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appraisal_statuses": [
{
"appraisal_status_id": 1,
"appraisal_status": "Open",
"enabled": 1
},
{
"appraisal_status_id": 2,
"appraisal_status": "Accepted",
"enabled": 1
},
{
"appraisal_status_id": 3,
"appraisal_status": "Rejected",
"enabled": 1
},
{
"appraisal_status_id": 4,
"appraisal_status": "Closed",
"enabled": 1
},
{
"appraisal_status_id": 5,
"appraisal_status": "Flagged",
"enabled": 1
},
{
"appraisal_status_id": 6,
"appraisal_status": "Archived",
"enabled": 1
}
]
}{
"title": "Required feature is not enabled.",
"description": "Please contact support to have this feature enabled."
}Endpoint Examples
Get Available Appraisal Statuses
Retrieve all available appraisal statuses based on client settings.
GET
/
client_reference
/
appraisal_statuses
Get Available Appraisal Statuses
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Query Parameters
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
Response
List of available appraisal statuses
Show child attributes
Show child attributes
⌘I